<?php

$___notjson=1;
require_once "configdops.php";
$site = str_replace("http://", "", $site);
$site = str_replace("www.", "", $site);
$site2 = str_replace("http://", "", $site2);
$site2 = str_replace("www.", "", $site2);

$refer = $_SERVER['HTTP_REFERER']; // откуда идет вызов функции
$refer = str_replace("www.", "", $refer); // вырезаем www. из реферера
$domain = substr($refer, 7, strlen($site)); // переменная $домен равна рефереру, начиная с 7 символа (т.е. http:// вырезается), с количеством символов, равным количеству символов в переменной $site
$domain2 = substr($refer, 7, strlen($site2));
if($domain == $site or $domain2 == $site2)
{


if(ucoz_getinfo("SITEUSERID") == $adminid) {
if (addslashes($_GET['mod']) == 'news') { 
$mod = 'news';
echo "<h2>Новости сайта</h2>";
}
if (addslashes($_GET['mod']) == 'load') { 
$mod = 'load';
echo "<h2>Каталог файлов</h2>";
}
if ($_GET['mod'] == 'stuff') { 
$mod = 'stuff';
echo "<h2>Онлайн игры</h2>";
}
if ($_GET['mod'] == 'publ') { 
$mod = 'publ';
echo "<h2>Статьи</h2>";
}
if ($_GET['mod'] == 'blog') { 
$mod = 'blog';
echo "<h2>Блог</h2>";
}
echo "<div id='opred' style='display:none'>" . $mod . "</div>";
?>
 <style type="text/css">
    .ui-state-highlight { background: silver; border-radius: 3px;}
	#sortable1, #sortable2 { list-style-type: none; margin: 0; padding: 0; float: left; margin-right: 10px; }
	#sortable1 li, #sortable2 li { margin: 0 5px 5px 5px; padding: 5px; font-size: 1.2em; width: 120px; }
	.ui-state-highlight1 { height:18px; background-color:#999999; border-radius: 5px; -moz-opacity:0.3; opacity:0.3;}
	.ui-state-highlight2 { background-color:#C1E7FF; border-radius: 3px; }
	.ui-state-highlight3 { height:25px; background-color:#777; border-radius: 3px; margin:-5px; padding:-5px; cursor:move }
	.ui-state-default  {  background-color: #CCCCCC; border-radius: 3px; }
  </style>
 <?php
if ($_POST) { 
$kolvo = count($_POST);
if($kolvo>0)
{
foreach ($_POST as $key => $value) {

		if($key == 'update') {
		break;
		}
		else
		{
		$stroka .= "a\t$key\t$value[0]\t\n";
		$arra[] = $key;
		}
		}
		
}
foreach ($_POST as $key => $value) 
{
	if (!in_array($key, $arra) && $key != 'update') {
		$stroka .= "n\t$key\t$value[0]\t\n";
	}
}
file_put_contents('./configs/' . $mod . '.txt', $stroka);

echo "Данные успешно сохранены.";
}
?>



<?
$lines = file('./configs/' . $mod . '.txt');

if(count($lines) > 0) {	
?>

<table width="400" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td width="50%" valign="top">	
	<ul id="sortable1" class="connectedSortable">Добавленные поля:
	<?
foreach ($lines as $line_num => $line) {
        trim($line);
        list ($act, $pole, $title) = split("\t",$line);
	
        if ($act=='a')
        {
		if (substr($pole, 0, 4)=='area')
         {
		 echo "<li class='ui-state-highlight2'  id='" . $pole . "_" . htmlspecialchars(stripslashes($title), ENT_QUOTES) . "'><div class='ui-state-highlight3'></div><textarea rows='3' style='width:100%'>".htmlspecialchars(stripslashes($title), ENT_QUOTES)."</textarea></li>\n";
		 }
		 if (substr($pole, 0, 4)=='text')
         {
		 echo "<li class='ui-state-highlight2'  id='" . $pole . "_" . htmlspecialchars(stripslashes($title), ENT_QUOTES) . "'><div class='ui-state-highlight3'></div><input value='".htmlspecialchars(stripslashes($title), ENT_QUOTES)."' style='width:100%' type='text' /></li>\n";
		 }
		}
}

?>
</ul>
</td>
    <td width="50%" valign="top">
	
	  <ul id="sortable2" class="connectedSortable" style=" border: 1px dotted #999999; border-radius: 3px">Корзина:
	<?php
	foreach ($lines as $line_num => $line) {
        trim($line);
        list ($act, $pole, $title) = split("\t",$line);
	
        if ($act=='n')
        {
		if (substr($pole, 0, 4)=='area')
         {
		 echo "<li class='ui-state-highlight'  id='" . $pole . "_" . htmlspecialchars(stripslashes($title), ENT_QUOTES) . "'><div class='ui-state-highlight3'></div><textarea rows='3' style='width:100%'>".htmlspecialchars(stripslashes($title), ENT_QUOTES)."</textarea></li>\n";
		 }
		 if (substr($pole, 0, 4)=='text')
         {
		 echo "<li class='ui-state-highlight'  id='" . $pole . "_" . htmlspecialchars(stripslashes($title), ENT_QUOTES) . "'><div class='ui-state-highlight3'></div><input value='".htmlspecialchars(stripslashes($title), ENT_QUOTES)."' style='width:100%' type='text' /></li>\n";
		 }
		}
}
?>

</ul>

</td>
  </tr>
</table>
<?php
}
?>
<input id="butsave" type="button"  onClick="save()" value="Сохранить порядок">
<?php
}
}
?>
